{% extends 'base.html' %}

{% block head %}
<title>Article App</title>
{% endblock %}

{% block body %}
<div class="content">
    <h1>Hej kámo!</h1>
    <h2 style="text-align:center">Article test app</h2>

    <table border="1">
        <tr>
            <th>Article</th>
            <th>Added</th>
            <th>Actions</th>
        </tr>
        {% for article in articles %}
            <tr>
                <td>{{ article.content }}</td>
                <td>{{ article.date_created.date() }}</td>
                <td>
                    <a href="/delete/{{article.id}}">Delete</a>
                    <br>
                    <a href="/update/{{article.id}}">Update</a>
                </td>
            </tr>
        {% endfor %}
    </table>
    <form actions="/" method="POST">
        <input type ="text" name="content" id="content">
        <input type ="submit" value="Add Article">

    </form>
</div>
{% endblock %}